.\" Copyright (C) 2002 Cameron Moore
.\"
.\" This program is free software; you can redistribute it and/or
.\" modify it under the terms of the GNU General Public License
.\" as published by the Free Software Foundation; either version 2
.\" of the License, or (at your option) any later version.
.\"
.\" This program is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program; if not, write to the Free Software
.\" Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
.\" Or try here: http://www.fsf.org/copyleft/gpl.html
.\"
.TH FGFS 1 "February 2012" "@VERSION@" "@PACKAGE@"
.SH NAME
fgfs \- FlightGear Flight Simulator
.SH SYNOPSIS
.B "fgfs "
[ option ] ...
.SH DESCRIPTION
.B FlightGear
is a free, open-source, multi-platform, and sophisticated flight
simulator framework for the development and pursuit of interesting
flight simulator ideas.
For more information visit <http://www.flightgear.org>.
.SH OPTIONS
.TP
.BI "--adf=" "[rotation:]frequency"
Specify the initial ADF radio frequency.  Optionally may be preceded by a
card rotation.
.TP
.BI "--aero=" "name"
Specify aerodynamics model to load.
.TP
.BI "--aircraft=" "name"
Specify aircraft to load.
.TP
.BI "--aircraft-dir=" "path"
Specify the exact directory to use for the aircraft (normally not required,
but may be useful for testing).
.TP
.BI "--airport=" "id"
Specify starting postion by airport ID.
.TP
.BI "--altitude=" "value"
Specify starting altitude (in feet unless \-\-units\-meters specified).
.TP
.BI "--atc610x"
Enable atc610x interface.
.TP
.BI "--atlas=" "medium" "," "direction" "," "hz" "," "options" "," "..."
Open an IO connection using the Atlas protocol.
.TP
.BI "--bpp=" "depth"
Specify the bits per pixel for the renderer.
.TP
.BI "--browser-app=" "path"
Specify location of your web browser.
.TP
.BI "--callsign=" "value"
Specify a unique name for multiplayer play.
.TP
.BI "--ceiling=" "value[:thickness]"
Create an overcast ceiling (feet above sea level).  May optionally specify
a thickness (feet) which defaults to 2000.
.TP
.BI "--com1=" "frequency"
Set the initial COM1 radio frequency.
.TP
.BI "--com2=" "frequency"
Set the initial COM2 radio frequency.
.TP
.BI "--config=" "path"
Load additional properties from path.  Multiple instances of this
option are recognized.
.TP
.BI "--control=" "mode"
Primary control mode (joystick, keyboard, mouse).
.TP
.BI "--dme=" "{nav1|nav2|frequency}"
Specify the NAV radio from which to slave the ADF or set its internal
frequency.
.TP
.B "--disable-anti-alias-hud"
Disable anti-aliased HUD.
.TP
.B "--disable-auto-coordination"
Disable auto coordination between aileron and rudder.
.TP
.B "--disable-clock-freeze"
Disable clock freezing so that time advances normally.
.TP
.B "--disable-clouds"
Disable cloud rendering.
.TP
.B "--disable-distance-attenuation"
Disable runway light distance attenuation.
.TP
.B "--disable-enhanced-lighting"
Disable enhanced runway lighting.
.TP
.B "--disable-freeze"
Start out in a running state.
.TP
.B "--disable-fuel-freeze"
Disable fuel freeze (enabling fuel consumption).
.TP
.B "--disable-fullscreen"
Disable fullscreen mode.
.TP
.B "--disable-horizon-effect"
Disable celestial body growth illusion near the horizon..
.TP
.B "--disable-hud"
Disable 2D HUD.
.TP
.B "--disable-hud-3d"
Disable 3D HUD.
.TP
.B "--disable-mouse-pointer"
Disable extra mouse pointer.
.TP
.B "--disable-panel"
Disable instrument panel.
.TP
.B "--disable-random-objects"
Disable random scenery objects (buildings, trees, etc).
.TP
.B "--disable-sound"
Disable sound effects.
.TP
.B "--disable-specular-highlight"
Disable specular reflections on textured objects.
.TP
.B "--disable-splash-screen"
Disable splash screen.
.TP
.B "--disable-wireframe"
Disable wireframe drawing mode.
.TP
.B "--enable-anti-alias-hud"
Enable anti-aliased HUD.
.TP
.B "--enable-auto-coordination"
Enable auto coordination between aileron and rudder.
.TP
.B "--enable-clock-freeze"
Enable clock freezing so that time does not advance.
.TP
.B "--enable-clouds"
Enable cloud rendering.
.TP
.B "--enable-distance-attenuation"
Enable runway light distance attenuation.
.TP
.B "--enable-enhanced-lighting"
Enable enhanced runway lighting.
.TP
.B "--enable-freeze"
Start out in a frozen state.
.TP
.B "--enable-fuel-freeze"
Enable fuel freeze (disabling fuel consumption).
.TP
.B "--enable-fullscreen"
Enable fullscreen mode.
.TP
.B "--enable-horizon-effect"
Enable celestial body growth illusion near the horizon.
.TP
.B "--enable-hud"
Enable 2D HUD.
.TP
.B "--enable-hud-3d"
Enable 3D HUD.
.TP
.B "--enable-mouse-pointer"
Enable extra mouse pointer (i.e. for full screen voodoo/voodoo-II
based cards.)
.TP
.B "--enable-panel"
Enable instrument panel.
.TP
.B "--enable-random-objects"
Enable random scenery objects (buildings, trees, etc).
.TP
.B "--enable-sound"
Enable sound effects.
.TP
.B "--enable-specular-highlight"
Enable specular reflections on textured objects.
.TP
.B "--enable-splash-screen"
Enable splash screen.
.TP
.B "--enable-wireframe"
Enable wireframe drawing mode.
.TP
.BI "--failure=" "system"
Fail a system on the aircraft.  System may be one of pitot, static, vacuum,
or electrical.  Multiple instances allowed.
.TP
.BI "--fdm=" "name"
Specify the flight dynamics model to use.  Name may be one of jsb, larcsim,
yasim, magic, balloon, ada, external, or null.
.TP
.BI "--fg-aircraft=" "path"
Specify an additional path to search for aircraft directories. (can be repeated)
.TP
.BI "--fg-root=" "path"
Specify the root path for data files.
.TP
.BI "--fg-scenery=" "path"
Specify the base path for scenery data.
.TP
.BI "--fix=" "ID"
Specify starting position relative to a fix.
.TP
.BI "--flight-plan=" "file"
Read all waypoints from the specified file.
.TP
.B "--fog-disable"
Disable fog rendering.
.TP
.B "--fog-fastest"
Enable fastest fog rendering.
.TP
.B "--fog-nicest"
Enable nicest fog rendering.
.TP
.BI "--fov=" "degrees"
Specify initial field of view angle (degrees).
.TP
.BI "--garmin=" "medium" "," "direction" "," "hz" "," "options" "," "..."
Open an IO connection using the Garmin GPS protocol.
.TP
.BI "--generic=" "params"
Open connection using the serial port protocol.  See README.IO for details.
.TP
.BI "--geometry=" "WxH"
Specify window geometry (ie. 640x480, 800x600, etc).
.TP
.BI "--heading=" "degrees"
Specify heading or yaw angle (degrees).
.TP
.BR "--help" ", " "-h"
Show a brief help message.  Use \-\-verbose,\-v for a full listing of options.
.TP
.BI "--httpd=" "port"
Start an HTTP server on the specified port.
.TP
.B "--hud-culled"
HUD displays percentage of triangles culled.
.TP
.B "--hud-tris"
HUD displays number of triangles rendered.
.TP
.B "--in-air"
Start up in the air.  This is implied when specifying an initial
altitude above ground level.
.TP
.BI "--joyclient=" "medium" "," "direction" "," "hz" "," "options" "," "..."
Open an IO connection to an Agwagon joystick.
.TP
.BI "--jpg-httpd=" "port"
Start a screen shot HTTP server on the specified port.
.TP
.BI "--lat=" "degrees"
Specify starting latitude (degrees).
.TP
.BI "--log-level=" "value"
Set log level for this session (1..5 where 1=verbose, 5=quiet).
.TP
.BI "--lon=" "degrees"
Specify starting longitude (degrees).
.TP
.BI "--mach=" "value"
Specify initial mach number.
.TP
.BI "--model-hz=" "n"
Run the FDM at this rate (iterations per second).
.TP
.BI "--multiplay=" "direction,hz,address,port"
Specify multiplayer communication settings.  Multiple instances allowed.
.TP
.BI "--native-ctrls=" "medium" "," "direction" "," "hz" "," "options" "," "..."
Open an IO connection using the FlightGear Native Controls protocol.
.TP
.BI "--native-fdm=" "medium" "," "direction" "," "hz" "," "options" "," "..."
Open an IO connection using the FlightGear Native FDM protocol.
.TP
.BI "--native=" "medium" "," "direction" "," "hz" "," "options" "," "..."
Open an IO connection using the FlightGear Native protocol.
.TP
.BI "--nav1=" "[radial:]frequency"
Specify the initial NAV1 radio frequency.  Optionally may be preceded by a
radial value.
.TP
.BI "--nav2=" "[radial:]frequency"
Specify the initial NAV2 radio frequency.  Optionally may be preceded by a
radial value.
.TP
.BI "--ndb=" "ID"
Specify starting position relative to an NDB.
.TP
.BI "--nmea=" "medium" "," "direction" "," "hz" "," "options" "," "..."
Open an IO connection using the NMEA protocol.
.TP
.B "--notrim"
Do not attempt to trim the model when initializing the JSBSim FDM.
.TP
.BI "--offset-azimuth=" "degrees"
specify heading to threshhold (degrees).
.TP
.BI "--offset-distance=" "nm"
Specify distance to threshhold (nautical miles).
.TP
.B "--on-ground"
Start up at ground level.
.TP
.BI "--opengc=" "medium" "," "direction" "," "hz" "," "options" "," "..."
Open an IO connect to an OpenGC host.
.TP
.BI "--pitch=" "degrees"
Specify pitch angle (degrees).
.TP
.BI "--props=" "medium" "," "direction" "," "hz" "," "options" "," "..."
Specify an IO device in which to provide an interactive property manager.
.TP
.BI "--prop:name=" "value"
set property <name> to <value>.
.TP
.BI "--pve=" "medium" "," "direction" "," "hz" "," "options" "," "..."
Open an IO connection using the PVE (Provision Entertainment) protocol.
.TP
.B "--random-wind"
Randomize initial wind parameters.  See also: \-\-wind.
.TP
.BI "--ray=" "medium" "," "direction" "," "hz" "," "options" "," "..."
Open an IO connection to a "RayWoodworth" motion chair.
.TP
.BI "--roll=" "degrees"
Specify roll angle (degrees).
.TP
.BI "--rul=" "medium" "," "direction" "," "hz" "," "options" "," "..."
Open an IO connection using the RUL protocol.
.TP
.B "--shading-flat"
Enable flat shading.
.TP
.B "--shading-smooth"
Enable smooth shading.
.TP
.B "--show-aircraft"
Show a listing of all available aircraft.
.TP
.BI "--speed=" "n"
Run the FDM "n" times faster than real-time.
.TP
.BI "--start-date-gmt=" "yyyy:mm:dd:hh:mm:ss"
Specify a starting date/time with respect to GMT (Greenwich Mean Time).
.TP
.BI "--start-date-lat=" "yyyy:mm:dd:hh:mm:ss"
Specify a starting date/time with respect to Local Aircraft Time.
.TP
.BI "--start-date-sys=" "yyyy:mm:dd:hh:mm:ss"
Specify a starting date/time with respect to your local system time.
.TP
.BI "--telnet=" "port"
Start a telnet interface to the property manager on the specified port.
.TP
.BI "--timeofday=" "value"
Specify a time of day.  Value may be one of dawn, dusk, noon, or midnight.
.TP
.B "--time-match-local"
Synchronize time with local real-world time.
.TP
.B "--time-match-real"
Synchronize time with the real-world time.
.TP
.BI "--time-offset=" "[+-]hh:mm:ss"
Specify a time offset with respect to the current time.
.TP
.BI "--trace-read=" "property"
Trace the reads for a property.  Multiple instances allowed.
.TP
.BI "--trace-write=" "property"
Trace the writes for a property.  Multiple instances allowed.
.TP
.BI "--turbulence=" "value"
Specify turbulence from 0.0 (calm) to 1.0 (severe).
.TP
.BI "--uBody=" "value"
Specify velocity along the body X axis (feet per second unless
\-\-units\-meters specified).
.TP
.B "--units-feet"
Use feet instead of meters.  Affects other options as well as the
values displayed by the HUD.
.TP
.B "--units-meters"
Use meters instead of feet.  Affects other options as well as the
values displayed by the HUD.
.TP
.BI "--vBody=" "value"
Specify velocity along the body Y axis (feet per second unless
\-\-units\-meters specified).
.TP
.BI "--vc=" "knots"
Specify initial airspeed (knots).
.TP
.BI "--view-offset=" "value"
Specify the default forward view direction as an offset from straight
ahead.  Allowable values are LEFT, RIGHT, CENTER, or a specific number
of degrees.
.TP
.B "--verbose, -v"
Show verbose help message.
.TP
.BI "--visibility-miles=" "value"
Specify initial visibility (miles).
.TP
.BI "--visibility=" "value"
Specify initial visibility (meters).
.TP
.BI "--vor=" "ID"
Specify starting position relative to a VOR.
.TP
.BI "--wBody=" "value"
Specify velocity along the body Z axis (feet per second unless
\-\-units-meters specified).
.TP
.BI "--wind=" "DIR@SPEED"
Specify wind coming from DIR (degrees) at SPEED (knots).  Values may be
specified as a range by using a colon separator; for example, 180:220@10:15.
.TP
.BI "--wp=" "ID[@alt]"
Specify a waypoint for the GC autopilot.  Multiple instances of this
option are recognized in build a route.
.SH ENVIRONMENT
.TP
.B $FG_ROOT
Path used to locate data files.
.SH FILES
~/.fgfsrc
.RS
Per user configuration file.
.RE
.TP
$FG_ROOT/system.fgfsrc
.RS
System-wide configuration file in command line format.
.RE
.TP
$FG_ROOT/preferences.xml
.RS
System-wide configuration file in XML format.
.RE
.TP
$FG_ROOT/keyboard.xml
.RS
Keyboard bindings.
.RE
.TP
$FG_ROOT/Input/Joysticks/
.RS
Joystick bindings.
.RE
.TP
$FG_ROOT/mice.xml
.RS
Mouse bindings.
.RE
.SH BUGS
Send bug reports to <flightgear\-devel@lists.sourceforge.net> or visit
<http://code.google.com/p/flightgear\-bugs>.
.SH SEE ALSO
fgjs(1), fgpanel(1), js_demo(1), terrasync(1)
.SH AUTHORS
Curt L. Olson, et al.  See
.I Thanks
file for a list of contributors.
